RTEMS: drvmgr_bus Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
drvmgr_bus Struct Reference

`#include <drvmgr.h>`

## Data Fields
int | obj_type
unsigned char | bus_type
unsigned char | depth
struct drvmgr_bus * | next
struct drvmgr_dev * | dev
void * | priv
struct drvmgr_dev * | children
struct drvmgr_bus_ops * | ops
struct drvmgr_func * | funcs
int | dev_cnt
struct drvmgr_bus_res * | reslist
struct drvmgr_map_entry * | maps_up
struct drvmgr_map_entry * | maps_down
int | level
int | state
int | error

## Detailed Description

Bus information. Describes a bus.

## Field Documentation

## ◆ bus_type

unsigned char drvmgr_bus::bus_type

Type of bus

## ◆ children

struct drvmgr_dev* drvmgr_bus::children

Hardware devices on this bus

## ◆ depth

unsigned char drvmgr_bus::depth

Bus level distance from root bus

## ◆ dev

struct drvmgr_dev* drvmgr_bus::dev

Bus device, the hardware...

## ◆ dev_cnt

int drvmgr_bus::dev_cnt

Number of devices this bus has

## ◆ error

int drvmgr_bus::error

Return code from bus->ops->initN()

## ◆ funcs

struct drvmgr_func* drvmgr_bus::funcs

Extra operations

## ◆ level

int drvmgr_bus::level

Initialization Level of Bus

## ◆ maps_down

struct drvmgr_map_entry* drvmgr_bus::maps_down

Map Translation, array of address spaces downstreams to Hardware

## ◆ maps_up

struct drvmgr_map_entry* drvmgr_bus::maps_up

Map Translation, array of address spaces upstreams to CPU

## ◆ next

struct drvmgr_bus* drvmgr_bus::next

Next Bus

## ◆ obj_type

int drvmgr_bus::obj_type

DRVMGR_OBJ_BUS

## ◆ ops

struct drvmgr_bus_ops* drvmgr_bus::ops

Bus operations supported by this bus driver

## ◆ priv

void* drvmgr_bus::priv

Private data structure used by BUS driver

## ◆ reslist

struct drvmgr_bus_res* drvmgr_bus::reslist

Bus resources, head of a linked list of resources.

## ◆ state

int drvmgr_bus::state

Init State of Bus, BUS_STATE_*

The documentation for this struct was generated from the following file:

- cpukit/include/drvmgr/drvmgr.h